Group 4 of 25
Products & purchasing
The catalogue and TLD pricing an order is built from.
Endpoints
12
Path prefix
/api/v1
Endpoints
GET
/api/v1/orders/{order}
Get one order
R
GET
/api/v1/orders
List the account's orders
R
GET
/api/v1/orders/pending
List the orders still awaiting payment
R
GET
/api/v1/products/domains/{tld}
Pricing for one TLD
R
GET
/api/v1/orders/addon-suggestions
The addons orderable with one catalogue plan
R
GET
/api/v1/products
The purchasable product catalogue
R
GET
/api/v1/products/{category}
The purchasable product catalogue
R
GET
/api/v1/orders/{order}/setup
Wait for a paid order's services to be set up
R
POST
/api/v1/orders
Hold a store order for confirmation
W
POST
/api/v1/orders/{order}/actions/cancel
Hold an order cancellation for confirmation
W
POST
/api/v1/orders/preview
Preview (price) an order without creating it
W
POST
/api/v1/orders/validate-contact
Validate order contact details without creating anything
W